package com.bonus.material.contract.service;

import com.bonus.material.contract.domain.BmContract;
import com.bonus.material.device.domain.vo.DevInfoVo;

import java.io.UnsupportedEncodingException;
import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2024/12/13 - 9:16
 */
public interface BmContractService {

    List<BmContract> list(BmContract bmContract);

    Integer add(BmContract bmContract) throws UnsupportedEncodingException;

    Integer edit(BmContract bmContract) throws UnsupportedEncodingException;

    Integer del(BmContract bmContract);

    Integer updateStatus(BmContract bmContract);

    List<BmContract> lisTemplate(BmContract bmContract);

    BmContract disclaimer();

    BmContract getContract(BmContract bmContract);

    List<BmContract> getContractUrl(BmContract bmContract);
}
